Bug 1008961 - [oVirt] 'Start' button for a volume is not disabled for a brief period of time after the volume has been started.
[oVirt] 'Start' button for a volume is not disabled for a brief period of tim...
Status: CLOSED EOL
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
Unspecified Unspecified
low Severity low (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Karnan
bugs@ovirt.org
gluster
:
Depends On:
Blocks: 1008973
  Show dependency treegraph
 
Reported: 2013-09-17 08:05 EDT by Shruti Sampat
Modified: 2016-11-13 19:04 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1008973 (view as bug list)
Environment:
Last Closed: 2015-10-02 06:47:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑3.6.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2013-09-17 08:05:32 EDT
Description of problem:
-------------------------
When a volume is started from the Console, the 'Start' button remains active for a while, till the volume is actually started. It gives the impression that the volume is still down. Once the volume has been started from the Console, the Start button should be disabled immediately so that the user knows that volume start is in progress.

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.4.0-0.2.master.20130911113322.gite7ade4a.fc19 

How reproducible:
Intermittent

Steps to Reproduce:
1. Install oVirt in the gluster-only mode, create a cluster, add hosts and create a volume.
2. Select the volume and click on Start button at the top.

Actual results:
Even after the Start button has been clicked, it appears to be enabled, clicking on it again gives an error popup that its not possible to start the volume as it is already started.

Expected results:
The Start button should be immediately disabled after the volume has been started.

Additional info:
Comment 1 Shruti Sampat 2013-09-17 08:25:30 EDT
The same behavior is seen for Stop volume button also.
Comment 2 Itamar Heim 2014-01-12 03:41:28 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.
Comment 3 Sandro Bonazzola 2014-03-04 04:17:17 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.
Comment 4 Sandro Bonazzola 2014-05-08 09:55:07 EDT
This is an automated message.

oVirt 3.4.1 has been released.
This issue has been retargeted to 3.5.0 since it has not been marked as high priority or severity issue, please retarget if needed.
Comment 5 Sahina Bose 2014-07-14 03:12:27 EDT
Karnan, could you check this?
Comment 6 Sahina Bose 2014-07-16 05:41:21 EDT
Unless, we introduce an icon in Activities column to indicate that a task is in progress, there's no way to achieve this - as the UI keeps getting refreshed every 5 seconds. Even if the start button is disabled, it will be reenabled when UI refreshes based on volume status
Comment 7 Sandro Bonazzola 2015-09-04 04:58:20 EDT
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.
Comment 8 Sandro Bonazzola 2015-10-02 06:47:58 EDT
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained
anymore.
Please check if this bug is still relevant in oVirt 3.5.4 and reopen if still
an issue.

Note You need to log in before you can comment on or make changes to this bug.